Bug 923665 - no way to set the user agent
Summary: no way to set the user agent
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: librepo
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mlcoch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 923384
TreeView+ depends on / blocked
 
Reported: 2013-03-20 09:58 UTC by Ales Kozumplik
Modified: 2014-09-30 23:41 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-08 15:05:48 UTC


Attachments (Terms of Use)

Description Ales Kozumplik 2013-03-20 09:58:19 UTC
librepo currently doesn't allow its clients to set the user agent. this is desirable as the package management clients can then easily identify themselves to the mirror admins who have a better overview of who is using their resources.

Comment 1 Tomas Mlcoch 2013-04-08 15:05:48 UTC
Added: https://github.com/Tojaj/librepo/commit/7816dc56f746caebc69294034813fa903bba6681

Fixed in librepo-0.0.2-3


Note You need to log in before you can comment on or make changes to this bug.